<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ClipBoard</title>
</head>

<body>
    <!-- HTML markup -->
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <span id="textToCopy">This is a test text to check the functionality.</span>
                <button onclick="copyToClipboard()">Copy to clipboard</button>
            </div>
        </div>
    </div>
</body>
<script>
    function copyToClipboard() {
        var span = document.getElementById('textToCopy');
        var textarea = document.createElement('textarea');
        textarea.value = span.textContent;
        document.body.appendChild(textarea);
        textarea.select();
        document.execCommand('copy');
        document.body.removeChild(textarea);
        alert('Copied!');
    }
</script>

</html>